# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# TODO: BR: perl(Authen::NTLM) and perl(Digest::HMAC_MD5) when available

Summary:	Send mail with attachments through an SMTP server
Name:		perl-Mail-Sender
Version:	0.8.22
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Mail-Sender/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/Mail-Sender-%{version}.tar.gz
Source1:	Sender.config
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(MIME::QuotedPrint)
BuildRequires:	perl(Net::SSLeay)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Time::Local)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(IO::Handle)

%description
Mail::Sender - module for sending mails with attachments through an SMTP server

%prep
%setup -q -n Mail-Sender-%{version}
sed -i -e 's/\r//g' README
# remove Win32 bit that creates bad dependency
sed -i -e '/Win32/d' MANIFEST
rm -f Sender/CType/Win32.pm

# Filter out redundant unversioned provide if present, by making it versioned
%if 0%{?__perllib_provides:1}
%global provfilt /bin/sh -c "%{__perllib_provides} | sed 's/^\\(perl(Mail::Sender)\\) *$/\\1 = %{version}/'"
%define __perllib_provides %{provfilt}
%else
%global provfilt /bin/sh -c "%{__perl_provides} | sed 's/^\\(perl(Mail::Sender)\\) *$/\\1 = %{version}/'"
%define __perl_provides %{provfilt}
%endif

%build
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
cp -p %{SOURCE1} blib/lib/Mail

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README*
%{perl_vendorlib}/Mail/
%{_mandir}/man3/Mail::Sender.3pm*

%changelog
* Thu Dec 13 2012 Paul Howarth <paul@city-fan.org> 0.8.22-1
- Update to 0.8.22
- Set PERL_MM_USE_DEFAULT=1 so we don't have to touch "Config" in %%build

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> 0.8.21-2
- BR: perl(Data::Dumper)

* Mon May 28 2012 Paul Howarth <paul@city-fan.org> 0.8.21-1
- Update to 0.8.21
  - Fixed the case in the header names (Content-type -> Content-Type)
  - Fixed the encoding of non-ASCII stuff in headers (RFC 2047)
  - Fixed using the ctype even for body with MailFile
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
- Add buildreqs for completeness:
  - perl(Carp)
  - perl(Encode)
  - perl(Exporter)
  - perl(IO::Handle)
  - perl(IO::Socket::INET)
  - perl(IO::Socket::SSL)
  - perl(MIME::Base64)
  - perl(MIME::QuotedPrint)
  - perl(Net::SSLeay)
  - perl(Time::Local)

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 0.8.16-6
- Rebuild for perl 5.14.1 in Rawhide
- Tweak provides filter to make it work with rpm 4.9 onwards
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.8.16-5
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> 0.8.16-4
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> 0.8.16-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Sep 14 2009 Paul Howarth <paul@city-fan.org> 0.8.16-2
- Define RPM macros in global scope
- Filter out redundant unversioned provide of perl(Mail::Sender)

* Mon Jul 14 2007 Paul Howarth <paul@city-fan.org> 0.8.16-1
- Update to 0.8.16
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license a GPL version 1 or later, or Artistic (i.e. same as perl)
- BuildRequire perl(Test::More)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 0.8.13-2
- Fix dist tag for development builds and Fedora 7 onwards
- Define %%{__id_u} in a more portable way
- Fix argument order for find with -depth
- Add buildreq perl(ExtUtils::MakeMaker)

* Mon Feb 27 2006 Paul Howarth <paul@city-fan.org> 0.8.13-1
- Simplify distribution detection
- Remove buildroot unconditionally in %%clean and %%install
- Remove macro __perl_package, used only twice
- Remove macro __perl_version, used only once
- Use sed rather than grep/mv to edit MANIFEST
- Use search.cpan.org URLs
- Add note about not building for FC >= 3
- Don't use macros in build-time command paths, hardcode them instead

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> 0.8.10-5
- Fix bogus Group: tag
- Remove optimizations from %%build, not needed for noarch package
- Fix directory ownership issues
- Fix line endings in README

* Fri May 20 2005 Paul Howarth <paul@city-fan.org> 0.8.10-4
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.8.10-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.8.10-2
- Unified spec file for Red Hat and Fedora Core

* Fri Dec 12 2003 Paul Howarth <paul@city-fan.org> 0.8.10-1.fc1
- More macros
- Added Fedora Core version to RPM release ID

* Wed Nov 26 2003 Paul Howarth <paul@city-fan.org> 0.8.10-1
- Updated to 0.8.10

* Mon Nov 24 2003 Paul Howarth <paul@city-fan.org> 0.8.00-2
- Updated to Fedora Core 1

* Tue Oct 15 2002 Paul Howarth <paul@city-fan.org> 0.8.00-1
- Initial build
